Seite 1 von 1

[gelöst] Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 25. Okt 2019, 15:26
von stroot
Hallo, Leute,
ich kann auf mein neu installiertes leap 15.1 keine Fotobuch-Software der Firma CEWE-Color installieren. In der Vergangenheit hatte ich mit der Installation der Software nie Probleme. Habe das Installationsscript install.pl in ein Verzeichnis gelegt. In einer Konsole bin ich als su - in dieses Verzeichnis gewechselt. Dann habe ich das Script mit ./install.pl ausgeführt. Dabei kam die Meldung "Permission denied", also keine Berechtigung zum Ausführen des Scripts. Habe es auch mit anderen Verzeichnisorten des Scrpts install.pl versucht. Ohne Ergebnis! Weiß mir hier keinen Rat mehr. https://linux-club.de/forum/posting.php?mode=post&f=88#

Re: Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 25. Okt 2019, 16:33
von josef-wien
Das Skript ist ausführbar?

Re: Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 25. Okt 2019, 16:56
von Sauerland
Warum als root mit su installieren?
Funktioniert auch als User......

Installiert gerade.
Alles als User, auch das herunterladen, entpacken und starten.

Re: Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 25. Okt 2019, 17:33
von stroot
Hallo,
jetzt funktioniert es. In der Scriptdatei install.pl war unter Eigenschaften --> Berechtigungen das Häkchen "Ausführbar" nicht markiert. Hatte ich der Vergangenheit nie! Vielen Dank für die Hilfe. Gut, dass es dieses Forum gibt.

Re: Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 25. Okt 2019, 17:43
von Sauerland
Tip von mir:
Installiere es als User.......

Re: Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 25. Okt 2019, 18:06
von manzek
stroot hat geschrieben:
25. Okt 2019, 17:33
In der Scriptdatei install.pl war unter Eigenschaften --> Berechtigungen das Häkchen "Ausführbar" nicht markiert.
Das ist eigentlich immer so. Habe es wissentlich bislang noch nie erlebt, dass eine heruntergeladene Datei direkt mit allen erforderlichen Rechten im Verzeichnis liegt.

Re: [gelöst] Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 27. Okt 2019, 09:33
von stroot
Hallo,

"Sauerland"
Warum als root mit su installieren?
Funktioniert auch als User......
Das Installationsscript legt die Erstellungssoftware in das Verzeichnis /opt. Dies geht nur als su- . Das hat den Vorteil, dass auch andere User auf die Software zugreifen können.

"manzek"
Das ist eigentlich immer so. Habe es wissentlich bislang noch nie erlebt, dass eine heruntergeladene Datei direkt mit allen erforderlichen Rechten im Verzeichnis liegt.
Wenn ich als user xyz eine Datei, in diesem Fall die Erstellungssoftware (Tar --> install.pl), herunterlade, bin ich als Benutzer xyz als Berechtigter eingetragen. Ich habe den Vorgang nochmals wiederholt und das Script vom Anbieter "CW-Color" heruntergeladen. Ich bin in der Datei install.pl als Berechtigter xyz eingetragen. Des Weiteren war das Kästchen "Ausführbar" markiert. Genauso hatte ich es in der Vergangenheit! Warum es bei meinem ersten Versuch, die Software auf 15.1 zu installieren, nicht funktionierte weil install.pl nicht auf "Ausführbar" stand, ist mir schleierhaft. Jedenfalls ist das Problem durch den Tip von josef-wien gelöst und das ist die Hauptsache.

Gruß stroot

Re: [gelöst] Fotobuch-Software lässt sich nicht auf 15.1 installieren - Permission denied

Verfasst: 27. Okt 2019, 11:54
von Sauerland
Das Installationsscript legt die Erstellungssoftware in das Verzeichnis /opt. Dies geht nur als su- .
Obiges ist falsch.
Bei mir wird nachgefragt, wohin installiert werden soll..........
Das hat den Vorteil, dass auch andere User auf die Software zugreifen können.
Das stimmt natürlich, wenn man denn mehrere User eingerichtet hat.